- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# syslogger – Log messages in the syslog

New in version 2.4.

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Uses syslog to add log entries to the host.
- Can specify facility and priority.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
facility - | Choices: kern user mail daemon ← auth lpr news uucp cron syslog local0 local1 local2 local3 local4 local5 local6 local7 | Set the log facility
log_pid boolean | Choices: no ← yes | Log the pid in brackets
msg - / required |  | This is the message to place in syslog
priority - | Choices: emerg alert crit err warning notice info ← debug | Set the log priority

## Examples

    # Full example
    - name: Test syslog
      syslogger:
        msg: "Hello from ansible"
        priority: "err"
        facility: "daemon"
        log_pid: true

    # Basic usage
    - name: Simple Usage
      syslogger:
        msg: "I will end up as daemon.info"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Tim Rightnour (@garbled1)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.